<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class DataMenuTermineSelfVorschau extends DataMenuTermineSelf
{
  
  public function getSight($pSightId = 401)
  {
    parent::getSight($pSightId);
  }

  public function mainmenu()
  {
    
    $this->getsight();
    $this->getdataarraybody();
    $this->getdataarrayheader();
    $this->getdataarrayfooter();
    $this->getdataarraynodata();
    if (count($this->dataarraybody) > 0) {
      $expKurse = new ExpKurse();
      $expKurstage = $this->exportadapter;
      $this->exportadapter = $expKurse;
      $this->showheader();
      $this->exportadapter = $expKurstage;
      $this->showbody();
      $this->exportadapter = $expKurse;
      $this->showfooter();
      $this->exportadapter = $expKurstage;
    } else {
      $this->shownodata();
    }
  }
}